@echo off
REM ---------------------------------------------------------------------
REM Licensed Materials - Property of IBM
REM
REM Copyright IBM Corporation 2016, 2017. All Rights Reserved.
REM
REM US Government Users Restricted Rights- Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp. 
REM ---------------------------------------------------------------------
REM ftmModelQs.cmd
REM This script can be used to execute the "MQ Define Qlocal" commands generated from an FTM Model. 
REM ---------------------------------------------------------------------

IF "%~1"=="" goto usage

REM Replace the parameter markers in the %2 file(Ref: Task 45124).
REM Work with a copy of the file to make the parameter marker changes. 
copy MQQueues.txt temp_MQQueues.txt

REM Read in the required properties for use in the parameter markers.
FOR /f "tokens=1,2 delims==" %%A IN (%~n0.properties) DO ( 
  set %%A=%%B
  powershell -Command "&{ param($Path); $Utf8NoBomEncoding = New-Object System.Text.UTF8Encoding($False); $MyFile = Get-Content $Path; $MyFile = $MyFile -replace '\+\+%%A\+\+', '%%B'; [System.IO.File]::WriteAllLines($Path, $MyFile, $Utf8NoBomEncoding) }" temp_MQQueues.txt
)

runmqsc %1 < temp_MQQueues.txt

goto exit

:usage
echo Syntax: ftmQueues.cmd [Queue Manager Name]

:exit
: * End!
